<template>
	<view class="container">
		<view class="title">{{detailData.title||''}}</view>
		<view class="sub-title">{{detailData.time||''}} &nbsp;&nbsp;&nbsp;&nbsp;{{detailData.deptName||''}}</view>
		<view class="cont">
			<u-parse :html="detailData.content" :tag-style="style"></u-parse>
		</view>
	</view>
</template>
<script>
	export default {
		data() {
			return {
				id:'',
				detailData: {},
				style: {
					// 字符串的形式
					p: 'font-size: 30rpx;font-family: PingFangSC-Regular, PingFang SC;color: #303030;',
				}
			};
		},
		
		methods: {
			getdetail(){
				this.$u.api.appdetail({body:{id:this.id}}).then((res)=>{
					if(res.ErrNo =='0000'){
						this.detailData = res.result||{}
					}
				})
			}
		},

		onLoad: function(options) {
			this.id=options.id
			this.getdetail()
		},
		onHide: function() {},
	};
</script>

<style lang="scss" scoped>
.container{
	width: 750rpx;
	min-height: 100vh;
	padding: 30rpx;
	.title{
		font-size: 32rpx;
		font-family: PingFangSC-Semibold, PingFang SC;
		font-weight: 600;
		color: #303030;
		line-height: 45rpx;
		margin-bottom: 20rpx;
	}
	.sub-title{
		height: 40rpx;
		font-size: 28rpx;
		font-family: PingFangSC-Regular, PingFang SC;
		font-weight: 400;
		color: #666666;
		line-height: 40rpx;
		margin-bottom: 30rpx;
	}
	.cont{
		padding: 30rpx;
		width: 690rpx;
		background: #FAFAFA;
	}
	
}
</style>
